Bug 247915 - games/dMagnetic: Update to 0.24
Summary: games/dMagnetic: Update to 0.24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: http://www.dettus.net/dMagnetic
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-11 19:05 UTC by Thomas Dettbarn
Modified: 2020-07-17 06:35 UTC (History)
2 users (show)

See Also:
kai: maintainer-feedback+


Attachments
patch for games/dMagnetic from 0.23 to 0.24 (2.85 KB, patch)
2020-07-11 19:05 UTC, Thomas Dettbarn
kai: maintainer-approval+
Details | Diff
dMagnetic-0.24-revised.patch (3.68 KB, patch)
2020-07-15 13:19 UTC, Kai Knoblich
no flags Details | Diff
dMagnetic-0.24-revised-v2.patch (3.68 KB, patch)
2020-07-15 14:34 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dettbarn 2020-07-11 19:05:31 UTC
Created attachment 216385 [details]
patch for games/dMagnetic from 0.23 to 0.24

Hello.


My interpreter for Magnetic Scrolls games, dMagnetic,
just received release number 0.24. I already patched the
port. While I was at it, I changed the mechanism of the
do-test target.

Before, it was a target in the ports-Makefile. Now I made
it a target within the release-Makefile.

Could I bother you guys to have a look and tell me it this
works for you?




Thomas
Comment 1 Automation User 2020-07-11 19:22:41 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/165568426
Comment 2 Kai Knoblich freebsd_committer 2020-07-13 07:27:21 UTC
Comment on attachment 216385 [details]
patch for games/dMagnetic from 0.23 to 0.24

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 3 Kai Knoblich freebsd_committer 2020-07-13 07:28:06 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first
Comment 4 Kai Knoblich freebsd_committer 2020-07-13 07:38:42 UTC
(In reply to Thomas Dettbarn from comment #0)

The test target works fine so far but it can be further optimized. You can set

> TEST_TARGET= do-test
> TEST_ENV= ${MAKE_ENV} SHA256_CMD=sha256

and remove the "do-test" target in the port's Makefile completely.

As far I can see there's also no need to set the SHA256_CMD variable as it's already set in the Makefile of the tarball if I'm not mistaken.
Comment 5 Kai Knoblich freebsd_committer 2020-07-15 13:19:57 UTC
Created attachment 216465 [details]
dMagnetic-0.24-revised.patch

Here's a slightly revised patch based on your initial patch and the optimizations as noted in comment #4.  Running "make test" should work as expected.

The patch also changes the manpages path from man/ to share/man which is the preferred location since ports r523104.
Comment 6 Thomas Dettbarn 2020-07-15 13:59:26 UTC
Thank you. I will apply it into my personal repository as well.

I just realized that the TIMESTAMP is still not a valid one, and I would like to apologize.

May I bother you to re-generate the checksums and the timestamp as well? The .tar.bz2 has not changed on the server, so the checksum should not change.
Comment 7 Kai Knoblich freebsd_committer 2020-07-15 14:34:53 UTC
Created attachment 216470 [details]
dMagnetic-0.24-revised-v2.patch

(In reply to Thomas Dettbarn from comment #6)

No problem, here's the same version with a recent and more reasonable timestamp, thank you for the pointer!
Comment 8 Kai Knoblich freebsd_committer 2020-07-17 06:27:38 UTC
Comment on attachment 216385 [details]
patch for games/dMagnetic from 0.23 to 0.24

^ Triage: Clean-up by setting the initial patch as obsolete because there's a revised version that will be used.
Comment 9 Kai Knoblich freebsd_committer 2020-07-17 06:29:01 UTC
Comment on attachment 216470 [details]
dMagnetic-0.24-revised-v2.patch

^ Triage: Set maintainer-approval to '+' on the revised patch that also contains a more recent timestamp as pointed out in comment #6.
Comment 10 Kai Knoblich freebsd_committer 2020-07-17 06:30:42 UTC
^ Triage: Feedback was also given by comment #6, setting the maintainer-feedback flag accordingly.
Comment 11 commit-hook freebsd_committer 2020-07-17 06:33:26 UTC
A commit references this bug:

Author: kai
Date: Fri Jul 17 06:32:32 UTC 2020
New revision: 542409
URL: https://svnweb.freebsd.org/changeset/ports/542409

Log:
  games/dMagnetic: Update to 0.24

  * Simplify test suite. [1]

  * Switch manpages to the preferred share/man location while I'm here.

  Changelog:

  * It is now possible to use .d64 images to play the games.

  * The test suite can now be called directly via its own "do-test" target
    per sub-make. [1]

  PR:		247915
  Submitted by:	Thomas Dettbarn <dettus@dettus.net> (maintainer)

Changes:
  head/games/dMagnetic/Makefile
  head/games/dMagnetic/distinfo
  head/games/dMagnetic/pkg-plist
Comment 12 Kai Knoblich freebsd_committer 2020-07-17 06:35:08 UTC
Committed, thank you for the patch and your feedback!